Subject: RE: Stability Problem with Cygwin Pthreads
From: "Arash Partow" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 03 Nov 2003 00:20:30 +0000

Hi Joost,

>I tested your program and found out that the crashes were in compiler 
>generated code (especially in STL code).  Upgrading to the latest version 
>of everything (GCC in particular) solved everything for me without using 
>any Cygwin snapshots.

I've updated everything too, atm i'm using the "new"
gcc 3.3.1-3, yet it still crashes, plus i don't think
the changes made recently to the snapshots exist in the
cygwin release.

However i too do think there is an issue with cygwin's Pthreads
and the stl string class, more so i think there is an issue
with the underlying infrastructure that it uses, ie: the i386
assembler code.

I've found many times when using the cygwin1.dll i've built
the crashes occur in those libraries. however due to the fact
that the release dll does not have debugging on i wasn't able
to investigate where abouts the crashes were residing from within
gdb.

The fact still remains, debug built dlls work, snapshot and release dlls
don't, why? does anyone know?

Regards

Arash

_________________________________________________________________
Hot chart ringtones and polyphonics. Go to  
http://ninemsn.com.au/mobilemania/default.asp

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/